%define name xfmail
%define version 1.2
%define release 2

Summary: A full-featured mail program using XForms
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Gennady B. Sorokopud <gena@NetVision.net.il>
URL: http://Burka.NetVision.net.il/xfmail/xfmail.html
Packager: ObiTuarY <Obituary@cybernet.be>
Distribution: ObiTuarY's RPM Packages
Source: %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-%{release}-root
Copyright: Freely distributable
Group: X11/Applications
Requires: xforms >= 0.88 xpm >= 3.4j

%description
XF-Mail is an XForms-based X11 application for sending
and receiving mail. It supports rules, folders, PGP,
xfaces, and a number of other features.

%changelog

%prep

%setup -n %{name}-%{version}

%build
./configure
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT/ ; fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
gzip /usr/src/redhat/BUILD/%{name}-%{version}/ui/xfmail.1
install -m755 /usr/src/redhat/BUILD/%{name}-%{version}/ui/xfmail $RPM_BUILD_ROOT/usr/X11R6/bin
install -m644 /usr/src/redhat/BUILD/%{name}-%{version}/ui/xfmail.1.gz $RPM_BUILD_ROOT/usr/X11R6/man/man1/xfmail.1x.gz

%clean
rm -r $RPM_BUILD_ROOT/
rm -r /usr/src/redhat/BUILD/%{name}-%{version}/

%files
%doc README KNOWNBUGS TODO Changelog Copyright
/usr/X11R6/bin/xfmail
/usr/X11R6/man/man1/xfmail.1x.gz